import React from "react";
import PropTypes from "prop-types";

export default function Home(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 19 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill={props.fill}
        d="M15.8086 18.4075H3.19141C2.25016 18.4075 1.48438 17.6417 1.48438 16.7004V7.71924C1.48438 7.39134 1.75019 7.12549 2.07812 7.12549C2.40606 7.12549 2.67188 7.39134 2.67188 7.71924V16.7004C2.67188 16.9869 2.90492 17.22 3.19141 17.22H15.8086C16.0951 17.22 16.3281 16.9869 16.3281 16.7004V7.71924C16.3281 7.39134 16.5939 7.12549 16.9219 7.12549C17.2498 7.12549 17.5156 7.39134 17.5156 7.71924V16.7004C17.5156 17.6417 16.7499 18.4075 15.8086 18.4075Z"
      />
      <path
        fill={props.fill}
        d="M18.4067 9.79614C18.2548 9.79614 18.1028 9.73818 17.9869 9.62221L10.6026 2.23793C9.99489 1.63023 9.00611 1.63023 8.3984 2.23793L1.01408 9.62225C0.782225 9.85414 0.40627 9.85414 0.174411 9.62225C-0.0574858 9.39039 -0.0574858 9.01443 0.174411 8.78257L7.55873 1.39822C8.62941 0.327545 10.3716 0.327545 11.4422 1.39822L18.8265 8.78254C19.0584 9.01443 19.0584 9.39035 18.8265 9.62221C18.7107 9.73818 18.5587 9.79614 18.4067 9.79614V9.79614Z"
      />
      <path
        fill={props.fill}
        d="M11.875 18.4072H7.125C6.79706 18.4072 6.53125 18.1414 6.53125 17.8135V12.5439C6.53125 11.5208 7.36361 10.6885 8.38672 10.6885H10.6133C11.6364 10.6885 12.4688 11.5208 12.4688 12.5439V17.8135C12.4688 18.1414 12.2029 18.4072 11.875 18.4072ZM7.71875 17.2197H11.2812V12.5439C11.2812 12.1756 10.9816 11.876 10.6133 11.876H8.38672C8.01841 11.876 7.71875 12.1756 7.71875 12.5439V17.2197Z"
      />
    </svg>
  );
}

Home.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Home.defaultProps = {
  className: "mr-75",
  fill: "#6b7daa",
  width: 19,
  height: 19,
};
